%define	oname	Ri-li

Summary:	A toy wood train kit game
Name:		ri-li
Version:	2.0.1
Release:	%mkrel 16
License:	GPLv2 or GPLv3
Group:		Games/Arcade
URL:		http://www.ri-li.org/
Source0:	https://downloads.sourceforge.net/ri-li/%{oname}-%{version}.tar.bz2
Patch0:		ri-li_makefile.in.patch
Patch1:		ri-li_makefile.am.patch
Patch2:		ri-li-2.0.1-gcc43.patch
Patch3:		ri-li-gcc11.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dos2unix
Provides:	Ri-li
Obsoletes:	Ri-li

%description
You drive a toy wood engine in many levels and you must
collect all the coaches to win. Full-featured, 8 languages: Arabic,
Chinese, English, French, German, Japanese, Russian, Spanish.
Colorful animated wood engine, 40 levels in this first version and 3 beautiful
musics and many sound effects.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
dos2unix README COPYING AUTHORS NEWS COPYING.Music

%build
autoreconf -fi
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make_build

%install
%make_install

rm -f %{buildroot}%{_gamesdatadir}/%{oname}/COPYING.Music


install -m644 data/Ri-li-icon-16x16.png -D %{buildroot}%{_miconsdir}/%{oname}.png
install -m644 data/Ri-li-icon-32x32.png -D %{buildroot}%{_iconsdir}/%{oname}.png
install -m644 data/Ri-li-icon-48x48.png -D %{buildroot}%{_liconsdir}/%{oname}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Ri-li
GenericName=Ri-li arcade game
GenericName[cy]=Gêm arcêd Ri-li
GenericName[da]=Ri-li arkadespil
GenericName[de]=Ri-li Arkade Spiel
GenericName[el]=Ηλεκτρονικό παιχνίδι Ri-li
GenericName[es]=Juego de arcade Ri-li
GenericName[et]=Ri-li on põnevusmäng
GenericName[eu]=Ri-li makina jokua
GenericName[fi]=Ri-li arcadepeli
GenericName[fr]=Un jeu d'arcade de conduite de locomotive
GenericName[gl]=Xogo de arcade Ri-li
GenericName[he]=משחק ארקייד Ri-li
GenericName[hu]=Ri-li - ügyességi játék
GenericName[id]=Permainan Ri-li
GenericName[is]=Ri-li skotleikur
GenericName[it]=Gioco arcade Ri-li
GenericName[ja]=Ri-li アーケードゲーム
GenericName[nb]=Spill der du styrer et leketog
GenericName[nl]=Ri-li actiespel
GenericName[nn]=Spel der du styrer eit leiketog
GenericName[pl]=Gra przygodowa Ri-li
GenericName[pt]=Jogo de arcada Ri-li
GenericName[pt_BR]=Ri-li, jogo estilo arcade
GenericName[ro]=Jocul de acțiune Ri-li
GenericName[ru]=Аркадная игра Ri-li
GenericName[sl]=Arkadna igra Ri-li
GenericName[sv]=Ri-li arkadspel
GenericName[tr]=Ri-li makine oyunu
GenericName[uk]=Аркадна гра Ri-li
GenericName[zh_TW]=積木火車小遊戲
Comment=A toy simulator game
Comment[de]=Ein Spiel mit einem kleinen Zug
Comment[fr]=Un simulateur de petit train en bois
Comment[es]=Simulador de trenes de juguete
Comment[ro_RO]=Un joc cu un tren de jucărie
Comment[af]='n Speelgoednabootser speletjie
Comment[sq]=Një lojë stimuluese e lodrave
Comment[ast]=Un xuegu de simulación de xuguetes
Comment[bn]=একটি খেলনা সিমুলেটর গেম
Comment[pt_BR]=Um jogo de simulador de brinquedo
Comment[bs]=Igra simulacije igračke
Comment[ca@valencia]=Un joc de cotxes de joguina
Comment[ca]=Un joc de cotxes de joguina
Comment[bg]=Играчково симулаторна игра
Comment[zh_HK]=玩具模擬器遊戲
Comment[zh_CN]=玩具模拟器游戏
Comment[zh_TW]=玩具模擬器遊戲
Comment[crh]=Bir oyuncak simülatör oyunu
Comment[cs]=Herní simulátor
Comment[nl]=Een speelgoed-simulatiepel
Comment[da]=Et legetøjssimuleringsspil
Comment[et]=Mänguasja simulaatormäng
Comment[fi]=Lelusimulaattoripeli
Comment[gl]=Un xogo de simulación de xoguetes
Comment[el]=Παιχνίδι προσομοίωσης παιχνιδιών
Comment[hu]=Játékszimulátor játék
Comment[it]=Un gioco di simulazione di giocattoli
Comment[ja]=おもちゃのシミュレーションゲーム
Comment[ky]=Куурчакты тууроочу оюн
Comment[ms]=Permainan simulator mainan
Comment[nb]=En leketøy-simulator
Comment[oc]=Un simulador de pichon tren de fusta
Comment[pl]=Bardzo dopracowana gra, w której poruszasz się drewnianą lokomotywą
Comment[pt]=Um jogo de simulação de brinquedos
Comment[ro]=Un joc pentru simularea unor jucării
Comment[ru]=Игрушечный симулятор поезда
Comment[sl]=Igra simulacije igrače
Comment[sv]=Leksakssimulatorspel
Comment[vi]=Một trò chơi mô phỏng đồ chơi
Comment[tr]=Bir oyuncak simülatör oyunu
Comment[uk]=Гра-імітатор іграшки
Exec=%{_gamesbindir}/Ri_li
Icon=%{_gamesdatadir}/%{oname}/%{oname}-icon-48x48.png
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc README COPYING AUTHORS NEWS COPYING.Music
%{_gamesbindir}/Ri_li
%dir %{_gamesdatadir}/%{oname}
%{_gamesdatadir}/%{oname}/levels.dat
%{_gamesdatadir}/%{oname}/sprites.dat
%{_gamesdatadir}/%{oname}/Ri-li-icon-*.png
%{_gamesdatadir}/%{oname}/*.ico
%{_gamesdatadir}/%{oname}/Sounds/*
%{_gamesdatadir}/%{oname}/language.*
%{_iconsdir}/%{oname}*.png
%{_miconsdir}/%{oname}*.png
%{_liconsdir}/%{oname}*.png
%{_datadir}/applications/*


%changelog
* Thu Dec 08 2022 daviddavid <daviddavid> 2.0.1-16.mga9
+ Revision: 1919289
- add patch to fix build with gcc11
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0.1-15.mga8
+ Revision: 1516490
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-14.mga7
+ Revision: 1300829
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 2.0.1-13.mga6
+ Revision: 950967
- Mageia 6 Mass Rebuild

* Wed Nov 26 2014 alexl <alexl> 2.0.1-12.mga5
+ Revision: 799356
- add GenericName
- add translations for desktop file from Mandriva and Ubuntu

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-11.mga5
+ Revision: 745249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-10.mga5
+ Revision: 688673
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-9.mga4
+ Revision: 531489
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 2.0.1-8.mga4
+ Revision: 463714
- use autoreconf

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-8.mga3
+ Revision: 380341
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 zezinho <zezinho> 2.0.1-7.mga2
+ Revision: 205002
- rebuild for MGA2

* Thu Mar 24 2011 dams <dams> 2.0.1-6.mga1
+ Revision: 76836
- Import and clean
- imported package ri-li


* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0.1-6mdv2010.0
+ Revision: 442731
- rebuild

* Thu Oct 16 2008 Funda Wang <fundawang@mandriva.org> 2.0.1-5mdv2009.1
+ Revision: 294319
- add gcc 43 patch to get it built

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Mar 13 2008 Antoine Ginies <aginies@mandriva.com> 2.0.1-2mdv2008.1
+ Revision: 187467
- fix path to icon

* Mon Mar 10 2008 Antoine Ginies <aginies@mandriva.com> 2.0.1-1mdv2008.1
+ Revision: 183318
- remove gentto ebuild
- patch to remove gentoo
- new release
- release 2.0.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 21 2007 Erwan Velu <erwan@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 42028
- Fixing description


* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0.0-1mdv2007.0
+ Revision: 72709
- New version 2.0.0
- import ri-li-1.2.0-2mdv2007.0

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.0-2mdv2007.0
- fix summary macro used in menu
- fix categories in xdg menu
- fix wrong-file-end-of-line-encoding
- cosmetics

* Tue Aug 01 2006 Jerome Soyer <saispo@mandriva.org> 1.2.0-1mdv2007.0
- New release 1.2.0

* Thu Jul 13 2006 Lenny Cartier <lenny@mandriva.com> 1.0.3-1mdv2007.0
- add xdg menu
- move to gamesbindir and gamesdatadir

* Tue Jul 04 2006 Velu Erwan <erwan@seanodes.com> 1.0.2-1
- Initial rpm for mandriva
- Using ri-li package name to match Mandriva's naming policy

* Fri Jun 30 2006 Dominique Roux-Serret <roux-serret@ifrance.com> 1.0.2-1
- first RPM pakage.

